Mandrake Linux Security Advisory : utempter (MDKSA-2004:031-1)

Low Nessus Plugin ID 14130


The remote Mandrake Linux host is missing one or more security updates.


Steve Grubb discovered two potential issues in the utempter program :

1) If the path to the device contained /../ or /./ or //, the program was not exiting as it should. It would be possible to use something like /dev/../tmp/tty0, and then if /tmp/tty0 were deleted and symlinked to another important file, programs that have root privileges that do no further validation can then overwrite whatever the symlink pointed to.

2) Several calls to strncpy without a manual termination of the string. This would most likely crash utempter.

The updated packages are patched to correct these problems.

Update :

The second portion of the patch to address the manual termination of the string has been determined to be uneccessary, as well as reducing the length of utmp strings by one character. As such, it has been removed.


Update the affected packages.

Plugin Details

Severity: Low

ID: 14130

File Name: mandrake_MDKSA-2004-031.nasl

Version: $Revision: 1.17 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64utempter0, p-cpe:/a:mandriva:linux:lib64utempter0-devel, p-cpe:/a:mandriva:linux:libutempter0, p-cpe:/a:mandriva:linux:libutempter0-devel, p-cpe:/a:mandriva:linux:utempter, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:9.1, cpe:/o:mandrakesoft:mandrake_linux:9.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2004/04/21

Reference Information

CVE: CVE-2004-0233

MDKSA: 2004:031-1